public interface IUserService
{
    Task<List<ClinicalUserResponse>> ListAsync();
    Task<ClinicalUserResponse> CreateAsync(CreateUserRequest req);
    Task<ClinicalUserResponse> UpdateAsync(Guid id, UpdateUserRequest req);
}
